<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:as="http://www.oasis-open.org/committees/cam" 
    xmlns:camed="http://jcam.org.uk/editor" 
    xmlns:w2e="http://thisSheet" 
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    xmlns:w_pick="http://jcam.org.uk/editor/picklist/1.0"
    exclude-result-prefixes="xs"
    version="2.0">
    <xsl:include href="mapping-ns-utils.xsl"/> 
    
    <xsl:variable name="ns-maps" select="camed:InsertMappings()"/>
    <xsl:template match="/">
        
        <xsl:variable name="ns-import">it</xsl:variable>
        <xsl:variable name="nsURI-import">http://niem.gov/niem/domains/internationalTrade/2.1</xsl:variable>
        <xsl:variable name="xsdOutput">NIEM 2.1</xsl:variable>
        
        <xsl:variable name="ns-outputFolder">Schemas/Subset/niem/domains/scr/2.1</xsl:variable>
        <xsl:variable name="ns-pathLocation">Schemas/Subset/niem/domains/trade/2.1</xsl:variable>
        <!-- xsl:message> [<xsl:copy-of select="$ns-maps"/>]</xsl:message -->
        
        <!-- Compute relative path -->
        <xsl:variable name="nodeOffset" select="camed:computeOffset($ns-outputFolder,$ns-pathLocation)"/>
        <xsl:message> -- <xsl:value-of select="$ns-pathLocation"/> [<xsl:value-of select="$ns-outputFolder"/>] [<xsl:value-of select="$nodeOffset"/>]</xsl:message>
    </xsl:template>
</xsl:stylesheet>